Subject: Re: pgbench: using prepared BEGIN statement in a pipeline could cause an error

From: Tom Lane <[email-masked]>
Date: Mon, 06 Feb 2023 10:23:01 -0500

Alvaro Herrera <[email-masked]> writes:
> I'm writing my own patch for this problem.  While playing around with
> it, I noticed this:

> struct Command {
>     /* size: 2168, cachelines: 34, members: 11 */
>     /* sum members: 2164, holes: 1, sum holes: 4 */
>     /* last cacheline: 56 bytes */
> };

I think the original intent was for argv[] to be at the end,
which fell victim to ye olde add-at-the-end antipattern.
Cache-friendliness-wise, putting it back to the end would
likely be enough.  But turning it into a variable-size array
would be better from a functionality standpoint.

			regards, tom lane